package com.ez.ertc.meeting.base;

import android.content.Context;
import android.view.View;

import androidx.recyclerview.widget.RecyclerView;

public abstract class YsRvBaseHolder<T> extends RecyclerView.ViewHolder {

    protected Context context;
    private RecyclerView.Adapter adapter;

    public YsRvBaseHolder(View itemView, Context context) {
        super(itemView);
        this.context = context;
    }

    public RecyclerView.Adapter getAdapter() {
        return adapter;
    }

    public void setAdapter(RecyclerView.Adapter adapter) {
        this.adapter = adapter;
    }

    public abstract void setData(T t);

}
